export const Logging = {
   verbose: false,
   log(...args: any[]) {
      if (Logging.verbose) {
         console.log(...args);
      }
   },
};

export enum ErrorCodes {
   ParseError = -32700,
   InvalidRequest = -32700,
   MethodNotFound = -32700,
   InvalidParams = -32700,
   InternalError = -32700,
}

export interface RequestObject {
   jsonrpc: "2.0";
   method: string;
   params?: any[] | { [key: string]: any };
   id?: string | null;
}

export interface ResponseObject {
   jsonrpc: "2.0";
   result?: any;
   error?: { code: ErrorCodes; message: string; data?: any };
   id: string;
}
